// bottom_mem.v
module BOTTOM_MEM (WDATA, WADDR, RDATA, RADDR, RCLK, WCLK, WENB, RENB);
input RCLK, WCLK, WENB, RENB;
input [9:0] WADDR, RADDR;
input [15:0] WDATA;
output [15:0] RDATA;

APA1kx16 apa_1kx16(.DO(RDATA), .RCLOCK(RCLK), .WCLOCK(WCLK), .DI(WDATA), 
        .WRB(WENB), .RDB(RENB), .WADDR(WADDR), .RADDR(RADDR));

endmodule

