// top_mem.v
module TOP_MEM (WDATA, WADDR, WENB, RADDR, RDATA, RENB, RCLK, WCLK);
input [15:0] WDATA;
input [9:0] WADDR, RADDR;
input [1:0] WENB;
input RENB, RCLK, WCLK;
output [15:0] RDATA;

MEMBLK1kx8 TOP_MEM_MSB (.WDATA(WDATA[15:8]), .WADDR(WADDR), .RDATA(RDATA[15:8]), .RADDR(RADDR), 
                        .RCLK(RCLK), .WCLK(WCLK), .WENB(WENB[1]), .RENB(RENB));

MEMBLK1kx8 TOP_MEM_LSB (.WDATA(WDATA[7:0]), .WADDR(WADDR), .RDATA(RDATA[7:0]), .RADDR(RADDR), 
                        .RCLK(RCLK), .WCLK(WCLK), .WENB(WENB[0]), .RENB(RENB));

endmodule
